from __future__ import unicode_literals, print_function, absolute_import
from .. import JiraCommand


class Transition(JiraCommand):

    def add_arguments(self):
        self.parser.add_argument(
            'name',
            help='The name of the transition to use.'
        )

        self.parser.add_argument(
            '-k',
            '--key',
            help='The issue key to use. Defaults to the name of the active branch.'
        )

    def run(self, args):
        key = args.key or self.giles.repo.active_branch.name
        key = key.upper()
        issue = self.giles.jira.issue(key)
        self.giles.jira.transition_issue(issue, args.name)
        return {
            'message': 'Success: "{}" on {} '.format(args.name, key)
        }
